#### D.2.4.3 pdivi

Procedure from library `grobcov.lib` (see grobcov_lib).

Usage:
  pdivi(f,F);
  poly f: the polynomialin Q[a][x] to be divided
  ideal F: the divisor ideal in Q[a][x].

Return:
  A list (poly r, ideal q, poly m). r is the remainder of the pseudodivision, q is the set of quotients, and m is the coefficient factor by which f is to be multiplied.

Note:
  pseudodivision of a poly f by an ideal F in Q[a][x]. Returns a list (r,q,m) such that m*f=r+sum(q.G), and no lpp of a divisor divides a pp of r.

Example:

    LIB "grobcov.lib";
    ring R=(0,a,b,c),(x,y),dp;
    poly f=(ab-ac)*xy+(ab)*x+(5c);
    // Divisor=";
    f;
    ==> (ab-ac)*xy+(ab)*x+(5c)
    ideal F=ax+b,cy+a;
    // Dividends=";
    F;
    ==> F[1]=(a)*x+(b)
    ==> F[2]=(c)*y+(a)
    def r=pdivi(f,F);
    // (Remainder, quotients, factor)=";
    r;
    ==> [1]:
    ==>    (ab2-abc-b2c+5c2)
    ==> [2]:
    ==>    _[1]=(bc-c2)*y+(bc)
    ==>    _[2]=(-b2+bc)
    ==> [3]:
    ==>    (c)
    // Verifying the division:
    r[3]*f-(r[2][1]*F[1]+r[2][2]*F[2]+r[1]);
    ==> 0

User manual for Singular version 4-0-3, 2016, generated by texi2html.